## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsKey Struct Reference

Document me!@@. More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsKey:

[legend]
List of all members.

## Public Member Functions

virtual unsigned long | Name () const =0
| Accessor function gets name of key.
virtual uint8 | Type () const =0
| returns the type of key

## Detailed Description

Document me!@@.

Definition at line 135 of file aws.h.

## Member Function Documentation

virtual unsigned long iAwsKey::Name | ( |  | ) | const`[pure virtual]`

| Accessor function gets name of key.

virtual uint8 iAwsKey::Type | ( |  | ) | const`[pure virtual]`

| returns the type of key

The documentation for this struct was generated from the following file:

- iaws/aws.h